@import url("https://fonts.googleapis.com/css2?family=Quicksand:wght@400;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Quicksand', sans-serif;
  font-weight: 100;
}

.intro {
  position: relative;
  display: flex;
  flex-direction: column; /* Para posicionar elementos verticalmente */
  align-items: center;
  justify-content: center;
  height: 100vh;
  /* background-color: #f0f0f0; */
}

.logo {
  max-width: 70%;
  max-height: 50%;
}

.loading {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 5px;
  background-color: #651c32; /* Cor do loading */
  animation: loadingAnimation 2s linear infinite;
}

@keyframes loadingAnimation {
  0% {
    width: 0;
  }
  100% {
    width: 100%;
  }
}

.whatsapp-icon {
  position: absolute;
  bottom: 10px;
  right: 10px;
  display: inline-block;
  padding: 10px;
  border-radius: 50%;

  animation: whatsappShake 0.3s ease-in-out infinite;
}

.whatsapp-icon img {
  width: 50px; /* Tamanho do ícone do WhatsApp */
  height: auto;
}

@keyframes whatsappShake {
  0%,
  100% {
    transform: translateX(0);
  }
  50% {
    transform: translateX(-8px);
  }
}

.typing-text {
  position: absolute;
    font-size: 24px;
    bottom: 7px;
  
  /* margin-bottom: 10px; */
  /* white-space: nowrap; Evita quebrar o texto */
  /* overflow: hidden; Oculta o excesso de texto */
}
